Package org.apache.commons.math3.ml.neuralnet.twod.util

# Interface MapDataVisualization

All Known Implementing Classes:
  `HitHistogram`, `QuantizationError`, `SmoothedDataHistogram`, `TopographicErrorHistogram`

public interface MapDataVisualization
Interface for algorithms that compute some metrics of the projection of data on a 2D-map.

Since:
  3.6

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.

## Method Details

### computeImage

double[][] computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)
Creates an image of the `data` metrics when represented by the `map`.

Parameters:
  `map` - Map.
  `data` - Data.
Returns:
  a 2D-array (in row major order) representing the metrics.